#ifndef COMMUNICATION_H_
#define COMMUNICATION_H_

#include "TCPSocket.h"
#include "Thread.h"

#ifdef WIN32
#   include <winsock.h>
#else
#   include <netinet/in.h>
#   include <arpa/inet.h>
#endif

class Communication : public Thread {

private:
	sockaddr_in server;
    TCPSocket socket;
    pthread_mutex_t mutexsock;

    int connect();
    int close();
    
public:
    Communication(char * _server, int _port);
    ~Communication();    
	
	int start();
	int stop();	
    int run();
    
    int send(char * msg);
    int receive(char * msg);
};

#endif /*COMMUNICATION_H_*/
